## org.biojava.bio.search
Class SequenceDBSearchResult

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.search.SequenceDBSearchResult

All Implemented Interfaces:
  Annotatable, Changeable, SeqSimilaritySearchResult

Deprecated. SimpleSeqSimilaritySearchResult has been made Annotatable and is now functionally identical.

public class SequenceDBSearchResult
extends AbstractChangeable
implements SeqSimilaritySearchResult, Annotatable

`SequenceDBSearchResult` objects represent a result of a search of a `SymbolList` against the sequences within a `SequenceDB` object. The core data (query sequence, database, search parameters, hits) have accessors, while supplementary data are stored in the `Annotation` object. Supplementary data are typically the more loosely formatted details which vary from one search program to another (and between versions of those programs).

Since:
  1.1
Author:
  Keith James
See Also:
  `AbstractChangeable`, `SeqSimilaritySearchResult`, `Annotatable`

Nested Class Summary

Nested classes inherited from class org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary
`protected Annotatable.AnnotationForwarder` `annotationForwarder` Deprecated.

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SequenceDBSearchResult(Sequence querySequence, SequenceDB sequenceDB, java.util.Map searchParameters, java.util.List hits, Annotation annotation)` Deprecated. Creates a new `SequenceDBSearchResult`.

Method Summary
`boolean` `equals(java.lang.Object other)` Deprecated.
`Annotation` `getAnnotation()` Deprecated. `getAnnotation` returns the Annotation associated with this hit.
`protected ChangeSupport` `getChangeSupport(ChangeType ct)` Deprecated. Called to retrieve the ChangeSupport for this object
`java.util.List` `getHits()` Deprecated. Return all hits in this sequence similarity search result.
`Sequence` `getQuerySequence()` Deprecated. Returns the query sequence which was used to perform the search.
`java.util.Map` `getSearchParameters()` Deprecated. Returns the search parameters used in the search that produced this search result.
`SequenceDB` `getSequenceDB()` Deprecated. Returns the sequence database against which the search was performed.
`int` `hashCode()` Deprecated.
`java.lang.String` `toString()` Deprecated.

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### annotationForwarder

    protected transient Annotatable.AnnotationForwarder annotationForwarder

  Deprecated.

Constructor Detail

### SequenceDBSearchResult

    public SequenceDBSearchResult(Sequence querySequence,
                                  SequenceDB sequenceDB,
                                  java.util.Map searchParameters,
                                  java.util.List hits,
                                  Annotation annotation)

  Deprecated.
  Creates a new `SequenceDBSearchResult`.

Parameters:
  `querySequence` - a `Sequence`.
  `sequenceDB` - a `SequenceDB`.
  `searchParameters` - a `Map`.
  `annotation` - an `Annotation`.
  `hits` - a `List`.

Method Detail

### getQuerySequence

    public Sequence getQuerySequence()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the query sequence which was used to perform the search.

  Specified by:
    `getQuerySequence` in interface `SeqSimilaritySearchResult`
  Returns:
    the `Sequence` object used to search the `SequenceDB`. Never returns null.

### getSequenceDB

    public SequenceDB getSequenceDB()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the sequence database against which the search was performed.

  Specified by:
    `getSequenceDB` in interface `SeqSimilaritySearchResult`
  Returns:
    the `SequenceDB object` against which the search was carried out. Never returns null.

### getSearchParameters

    public java.util.Map getSearchParameters()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Returns the search parameters used in the search that produced this search result.

  Specified by:
    `getSearchParameters` in interface `SeqSimilaritySearchResult`
  Returns:
    the (immutable) search parameter `Map object`. May return null.

### getHits

    public java.util.List getHits()

  Deprecated.
  Description copied from interface: `SeqSimilaritySearchResult`
  Return all hits in this sequence similarity search result. The hits are sorted from best to worst.

  Specified by:
    `getHits` in interface `SeqSimilaritySearchResult`
  Returns:
    an (immutable) `List` of `SeqSimilaritySearchHit` objects containing all hits in the search result. Never returns null but may return an empty list.

### getAnnotation

    public Annotation getAnnotation()

  Deprecated.
  `getAnnotation` returns the Annotation associated with this hit.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an `Annotation`.

### equals

    public boolean equals(java.lang.Object other)

  Deprecated.

### hashCode

    public int hashCode()

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.

### getChangeSupport

    protected ChangeSupport getChangeSupport(ChangeType ct)

  Deprecated.
  Description copied from class: `AbstractChangeable`
  Called to retrieve the ChangeSupport for this object

  Overrides:
    `getChangeSupport` in class `AbstractChangeable`